package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmTrngBudgetForm extends HrmBaseForm {
  private ArrayList arrHrmTrngBud = new ArrayList();
  
  private String butCalendar;
  
  private String disabbutCalendar;
  
  private String calendarName;
  
  private String description;
  
  private String approvedBudget;
  
  private String disabapprovedBudget;
  
  private String spentTillDate;
  
  private String availableBudget;
  
  private String[] selectAll;
  
  private String[] txtCourseName;
  
  private String[] txtFromDate;
  
  private String[] txtToDate;
  
  private String[] txtCourseId;
  
  private String butTxtCourseName;
  
  private String disabbutTxtCourseName;
  
  private String[] txtTravel;
  
  private String disabtxtTravel;
  
  private String[] txtAccomodation;
  
  private String disabtxtAccomodation;
  
  private String[] txtDailyAllowances;
  
  private String disabtxtDailyAllowances;
  
  private String[] txtFood;
  
  private String disabtxtFood;
  
  private String[] txtFees;
  
  private String disabtxtFees;
  
  private String[] txtMisc;
  
  private String disabtxtMisc;
  
  private String[] txtTotal;
  
  private String calendarId;
  
  private String butTxtStartDate;
  
  private String disabbutTxtStartDate;
  
  private String butTxtEndDate;
  
  private String disabbutTxtEndDate;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public ArrayList getArrHrmTrngBud() {
    return this.arrHrmTrngBud;
  }
  
  public void setArrHrmTrngBud(ArrayList newArrHrmTrngBud) {
    this.arrHrmTrngBud = newArrHrmTrngBud;
  }
  
  public String getButCalendar() {
    return this.butCalendar;
  }
  
  public void setButCalendar(String newButCalendar) {
    this.butCalendar = newButCalendar;
  }
  
  public String getDisabbutCalendar() {
    return this.disabbutCalendar;
  }
  
  public void setDisabbutCalendar(String newDisabbutCalendar) {
    this.disabbutCalendar = newDisabbutCalendar;
  }
  
  public String getCalendarName() {
    return this.calendarName;
  }
  
  public void setCalendarName(String newCalendarName) {
    this.calendarName = newCalendarName;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setDescription(String newDescription) {
    this.description = newDescription;
  }
  
  public String getApprovedBudget() {
    return this.approvedBudget;
  }
  
  public void setApprovedBudget(String newApprovedBudget) {
    this.approvedBudget = newApprovedBudget;
  }
  
  public String getDisabapprovedBudget() {
    return this.disabapprovedBudget;
  }
  
  public void setDisabapprovedBudget(String newDisabapprovedBudget) {
    this.disabapprovedBudget = newDisabapprovedBudget;
  }
  
  public String getSpentTillDate() {
    return this.spentTillDate;
  }
  
  public void setSpentTillDate(String newSpentTillDate) {
    this.spentTillDate = newSpentTillDate;
  }
  
  public String getAvailableBudget() {
    return this.availableBudget;
  }
  
  public void setAvailableBudget(String newAvailableBudget) {
    this.availableBudget = newAvailableBudget;
  }
  
  public String[] getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String[] newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getTxtCourseName() {
    return this.txtCourseName;
  }
  
  public void setTxtCourseName(String[] newTxtCourseName) {
    this.txtCourseName = newTxtCourseName;
  }
  
  public String[] getTxtFromDate() {
    return this.txtFromDate;
  }
  
  public void setTxtFromDate(String[] newTxtFromDate) {
    this.txtFromDate = newTxtFromDate;
  }
  
  public String[] getTxtToDate() {
    return this.txtToDate;
  }
  
  public void setTxtToDate(String[] newTxtToDate) {
    this.txtToDate = newTxtToDate;
  }
  
  public String[] getTxtCourseId() {
    return this.txtCourseId;
  }
  
  public void setTxtCourseId(String[] newTxtCourseId) {
    this.txtCourseId = newTxtCourseId;
  }
  
  public String getButTxtCourseName() {
    return this.butTxtCourseName;
  }
  
  public void setButTxtCourseName(String newButTxtCourseName) {
    this.butTxtCourseName = newButTxtCourseName;
  }
  
  public String getDisabbutTxtCourseName() {
    return this.disabbutTxtCourseName;
  }
  
  public void setDisabbutTxtCourseName(String newDisabbutTxtCourseName) {
    this.disabbutTxtCourseName = newDisabbutTxtCourseName;
  }
  
  public String[] getTxtTravel() {
    return this.txtTravel;
  }
  
  public void setTxtTravel(String[] newTxtTravel) {
    this.txtTravel = newTxtTravel;
  }
  
  public String getDisabtxtTravel() {
    return this.disabtxtTravel;
  }
  
  public void setDisabtxtTravel(String newDisabtxtTravel) {
    this.disabtxtTravel = newDisabtxtTravel;
  }
  
  public String[] getTxtAccomodation() {
    return this.txtAccomodation;
  }
  
  public void setTxtAccomodation(String[] newTxtAccomodation) {
    this.txtAccomodation = newTxtAccomodation;
  }
  
  public String getDisabtxtAccomodation() {
    return this.disabtxtAccomodation;
  }
  
  public void setDisabtxtAccomodation(String newDisabtxtAccomodation) {
    this.disabtxtAccomodation = newDisabtxtAccomodation;
  }
  
  public String[] getTxtDailyAllowances() {
    return this.txtDailyAllowances;
  }
  
  public void setTxtDailyAllowances(String[] newTxtDailyAllowances) {
    this.txtDailyAllowances = newTxtDailyAllowances;
  }
  
  public String getDisabtxtDailyAllowances() {
    return this.disabtxtDailyAllowances;
  }
  
  public void setDisabtxtDailyAllowances(String newDisabtxtDailyAllowances) {
    this.disabtxtDailyAllowances = newDisabtxtDailyAllowances;
  }
  
  public String[] getTxtFood() {
    return this.txtFood;
  }
  
  public void setTxtFood(String[] newTxtFood) {
    this.txtFood = newTxtFood;
  }
  
  public String getDisabtxtFood() {
    return this.disabtxtFood;
  }
  
  public void setDisabtxtFood(String newDisabtxtFood) {
    this.disabtxtFood = newDisabtxtFood;
  }
  
  public String[] getTxtFees() {
    return this.txtFees;
  }
  
  public void setTxtFees(String[] newTxtFees) {
    this.txtFees = newTxtFees;
  }
  
  public String getDisabtxtFees() {
    return this.disabtxtFees;
  }
  
  public void setDisabtxtFees(String newDisabtxtFees) {
    this.disabtxtFees = newDisabtxtFees;
  }
  
  public String[] getTxtMisc() {
    return this.txtMisc;
  }
  
  public void setTxtMisc(String[] newTxtMisc) {
    this.txtMisc = newTxtMisc;
  }
  
  public String getDisabtxtMisc() {
    return this.disabtxtMisc;
  }
  
  public void setDisabtxtMisc(String newDisabtxtMisc) {
    this.disabtxtMisc = newDisabtxtMisc;
  }
  
  public String[] getTxtTotal() {
    return this.txtTotal;
  }
  
  public void setTxtTotal(String[] newTxtTotal) {
    this.txtTotal = newTxtTotal;
  }
  
  public String getCalendarId() {
    return this.calendarId;
  }
  
  public void setCalendarId(String newCalendarId) {
    this.calendarId = newCalendarId;
  }
  
  public String getButTxtStartDate() {
    return this.butTxtStartDate;
  }
  
  public void setButTxtStartDate(String newButTxtStartDate) {
    this.butTxtStartDate = newButTxtStartDate;
  }
  
  public String getDisabbutTxtStartDate() {
    return this.disabbutTxtStartDate;
  }
  
  public void setDisabbutTxtStartDate(String newDisabbutTxtStartDate) {
    this.disabbutTxtStartDate = newDisabbutTxtStartDate;
  }
  
  public String getButTxtEndDate() {
    return this.butTxtEndDate;
  }
  
  public void setButTxtEndDate(String newButTxtEndDate) {
    this.butTxtEndDate = newButTxtEndDate;
  }
  
  public String getDisabbutTxtEndDate() {
    return this.disabbutTxtEndDate;
  }
  
  public void setDisabbutTxtEndDate(String newDisabbutTxtEndDate) {
    this.disabbutTxtEndDate = newDisabbutTxtEndDate;
  }
}
